package Model;

public class User implements IUser {

	private int userId;
	private String userFirstName;
	private String userLastName;
	private Signature userSignature;
	
	public User(int userId, String userFirstName, String userLastName) {
		this.userId = userId;
		this.userFirstName = userFirstName;
		this.userLastName = userLastName;
		this.userSignature = new Signature(this);
	}
	
	public int getUserId() {
		return userId;
	}

	public String getUserFirstName() {
		return userFirstName;
	}

	public String getUserLastName() {
		return userLastName;
	}

	public Signature getUserSignature() {
		return userSignature;
	}

	@Override
	public String toString() {
		return userFirstName + " " + userLastName ;
	}
	
}
